--- title: "getTable" slug: "analytics-datacatalog-table-gettable" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-gettable" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTable Available in VPC Get table details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName} | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | | `tableName` | String | Required | Table name - See [getTables](/docs/en/analytics-datacatalog-table-gettables). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/my_database/tables/employeelist' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `pageSize` | Integer | - | Page output count | | `totalCount` | Integer | - | Number of response results | | `requestId` | String | - | ID for the request - UUID format | | `tableResponseList` | Array | - | Table information: [tableResponseList](/docs/en/analytics-datacatalog-table-gettable#tableResponseList) | #### `tableResponseList` The following describes `tableResponseList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `databaseName` | String | - | Database name | | `tableName` | String | - | Table name | | `dataFormat` | String | - | Data format | | `location` | String | - | Table location | | `description` | String | - | Table description | | `tableType` | String | - | Table type - `EXTERNAL_TABLE` - `VIRTUAL_VIEW` | | `createTime` | String | - | Table creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | | `properties` | Object | - | Table property information - Same as [Table property details](https://guide.ncloud-docs.com/docs/en/datacatalog-table-vpc#%EC%86%8D%EC%84%B1-%EC%A0%95%EB%B3%B4) displayed on the NAVER Cloud Platform console | | `properties.EXTERNAL` | String | - | External storage status of the table - `TRUE` \| `FALSE` - `TRUE`: Externally stored - `FALSE`: Internally stored | | `properties.compressionType` | String | - | Compressed file extension - Displayed if the scan target is a compressed file | | `properties.clusterNo` | String | - | DB service number - Displayed if the scan target is database | | `properties.connectionId` | String | - | Connection ID - Displayed if a connection exists | | `properties.connectionName` | String | - | Connection name - Displayed if a connection exists | | `properties.created_time` | String | - | Table creation date and time - Unix timestamp format | | `properties.dataFormat` | String | - | Data format | | `properties.dataType` | String | - | Data type | | `properties.delimiter` | String | - | Delimiter - Displayed if data is a CSV file | | `properties.inputFormat` | String | - | Data read format | | `properties.isDirectory` | String | - | Whether the scan target is a directory - `TRUE` \| `FALSE` - `TRUE`: Directory - `FALSE`: Non-directory | | `properties.last_modified_time` | String | - | Update date and time - Unix timestamp format | | `properties.metadata_location` | String | - | Metadata file path - Displayed for a Iceberg table | | `properties.numFiles` | String | - | Total number of scanned files - Displayed if the scan target is a directory | | `properties.objectstorageContentLength` | String | - | Object length (byte) | | `properties.objectstorageContentType` | String | - | Object data type | | `properties.objectstorageLastModified` | String | - | Object update date and time - Unix timestamp format | | `properties.outputFormat` | String | - | Data output format | | `properties.partitioningScheme` | String | - | Partitioning schema - Displayed if a partition is recognized in the scan target | | `properties.scannerId` | String | - | Scanner ID | | `properties.scannerName` | String | - | Scanner name | | `properties.serializationLib` | String | - | Serialization and deserialization library | | `properties.skip.header.line.count` | String | - | Number of excluded header lines | | `properties.totalSize` | String | - | Total capacity of scanned data (byte) - Displayed if the scan target is a directory | | `properties.transient_lastDdlTime` | String | - | Table DDL update date and time - Unix timestamp format | | `properties.escapeChar` | String | - | Data recognition removal character - Displayed if data is a CSV file | | `properties.quoteChar` | String | - | Data recognition symbol - Displayed if data is a CSV file | | `properties.separatorChar` | String | - | Schema determination delimiter - Displayed if data is a CSV file | Note The property information displayed may vary depending on the table type. - For more information about the properties of Apache Iceberg tables, see [Iceberg Table Metadata](https://iceberg.apache.org/spec/?utm_source=chatgpt.com#table-metadata). #### For RDB data The following describes the additional properties displayed for RDB (MySQL, MSSQL, PostgreSQL) data. | Field | Type | Required | Description | | --- | --- | --- | --- | | `properties.{dbType}Collation` | String | - | Set string sorting. | | `properties.{dbType}DataSize` | String | - | Data size | | `properties.{dbType}IndexSize` | String | - | Index size | | `properties.{dbType}Indexes` | String | - | Index structure | | `properties.{dbType}Rows` | String | - | Number of rows (records) | | `properties.{dbType}TableSize` | String | - | Total table size | #### For MongoDB data The following describes the additional properties displayed for MongoDB data. | Field | Type | Required | Description | | --- | --- | --- | --- | | `properties.mongodbAvgObjSize` | String | - | Collection average object size | | `properties.mongodbFreeStorageSize` | String | - | Collection free storage capacity | | `properties.mongodbIndexSize` | String | - | Collection index size | | `properties.mongodbIndexes` | String | - | Collection index information | | `properties.mongodbRowCount` | String | - | Number of collection rows (records) | | `properties.mongodbSize` | String | - | Collection size - Uncompressed size - Excluding index size | | `properties.mongodbStorageSize` | String | - | Storage size allocated to the collection | | `properties.mongodbTotalSize` | String | - | Total disk capacity of the collection | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "catalogId": 4**, "databaseName": "default", "tableName": "employeelist", "dataFormat": "csv", "location": "s3a://datacatalog-c***-e******f/my_database/employeeList/", "createTime": "2025-03-18T09:34:52+0900", "updateTime": "2025-03-18T09:42:28+0900", "properties": { "EXTERNAL": "TRUE", "compressionType": "", "created_time": "1742258092", "dataFormat": "csv", "dataType": "file", "inputFormat": "org.apache.hadoop.mapred.TextInputFormat", "isDirectory": "TRUE", "last_modified_time": "1742258548", "numFiles": "1", "objectstorageContentLength": "5095", "objectstorageContentType": "text/csv", "objectstorageLastModified": "1742257929", "outputFormat": "org.apache.hadoop.hive.ql.io.HiveIgnoreKeyTextOutputFormat", "scannerId": "9**", "scannerName": "employee_list", "serializationLib": "org.apache.hadoop.hive.serde2.OpenCSVSerde", "skip.header.line.count": "1", "totalSize": "5095", "transient_lastDdlTime": "1742258092", "escapeChar": "\\", "quoteChar": "\"", "separatorChar": "," } } ```